import {Box} from "@mui/material";
import Confirm from "./Form/ConfirmForm";
import Reject from "./Form/RejectForm";
import ReserveForm from "@/components/dashboard/machinary-office/Form/ReserveForm";

const TableRow = ({row, mutate}) => {
    return (
        <Box sx={{display: "flex", flexWrap: "nowrap", gap: "8px"}}>
            <Confirm
                rowId={row.getValue("id")}
                vehicle_type={row.original.vehicle_type}
                mutate={mutate}
            />
            <ReserveForm
                rowId={row.getValue("id")}
                mutate={mutate}
            />
            <Reject
                rowId={row.getValue("id")}
                mutate={mutate}
            />
        </Box>
    );
};

export default TableRow;
